import { FunishedType } from '@constants/enum/listing';
import { BuildingType } from '@flexstay.rentals/fs-url-stringify';

export interface ListingCdnImage {
  id: number;
  url: string;
  alt: string;
}

export interface ListingPropertyAmenity {
  amenityCoffeeMachineCapsule: boolean;
  amenityCoffeeMachineBrew: boolean;
  amenityDishwasher: boolean;
  amenityRefrigerator: boolean;
  amenityMicrowave: boolean;
  amenityOven: boolean;
  amenityToasterOven: boolean;
  amenityRiceCooker: boolean;
  amenityStoveCooktop: boolean;
  amenityToaster: boolean;
  amenityTeaKettleWaterBoiler: boolean;
  amenityPotsPans: boolean;
  amenityPlatesBowls: boolean;
  amenityMugsGlassware: boolean;
  amenityKnivesCutlery: boolean;
  amenityCuttingBoard: boolean;
  amenityCookingUtensils: boolean;
  amenityUtensilRack: boolean;
  amenityCorkscrewWineOpener: boolean;
  amenityCanBottleOpener: boolean;
  amenityCoffeeBeanGrinder: boolean;
  amenityScissors: boolean;
  amenityColander: boolean;
  amenityKitchen: boolean;
  amenityKitchenHotMitts: boolean;
  amenityKitchenLinens: boolean;
  amenityWasher: boolean;
  amenityDryer: boolean;
  amenityIron: boolean;
  amenityIronBoard: boolean;
  amenityClothesRack: boolean;
  amenityCarbonMonoxideDetector: boolean;
  amenityFireExtinguisher: boolean;
  amenityFirstAidKit: boolean;
  amenitySmokeDetector: boolean;
  amenityLockBedroomDoor: boolean;
  amenitySafe: boolean;
  amenityIntercom: boolean;
  amenityAirConditioning: boolean;
  amenityElectricFans: boolean;
  amenityVacuumCleaner: boolean;
  amenityMop: boolean;
  amenityBroom: boolean;
  amenityBucket: boolean;
  amenityBathroomCleaner: boolean;
  amenityToiletCleaner: boolean;
  amenityFloorCleaner: boolean;
  amenityMultiPurposeCleaner: boolean;
  amenityKitchenCleaner: boolean;
  amenityLaundryDetergentPowder: boolean;
  amenityLaundryDetergentLiquid: boolean;
  amenityGlassCleaner: boolean;
  amenityGarbageBinLiners: boolean;
  amenityDishwasherTablets: boolean;
  amenityDishwashLiquid: boolean;
  amenityPaperTowels: boolean;
  amenityDishTowels: boolean;
  amenitySponges: boolean;
  amenityBathtub: boolean;
  amenityHotShowerHeater: boolean;
  amenityToiletBidetSprayer: boolean;
  amenityBathroomLinens: boolean;
  amenityEssentialsForWeek: boolean;
  amenityHairDryer: boolean;
  amenityJacuzzi: boolean;
  amenityWalkInWardrobe: boolean;
  amenityBedLinens: boolean;
  amenityMaidsRoom: boolean;
  amenityBalcony: boolean;
  amenityCableTv: boolean;
  amenityGarden: boolean;
  amenitySwimmingPool: boolean;
  amenityRoofTerrace: boolean;
  amenitySoundSystem: boolean;
  amenityStudyDesk: boolean;
  amenityTv: boolean;
  amenityParking: boolean;
  amenityWifi: boolean;
  updated_at: string;
}
export interface Listing extends ListingPropertyAmenity {
  id: number;
  districtCity: string;
  featuredImageUrl: string;
  lowestPrice: number;
  floorSize: number;
  floorLevel: number;
  numberBathrooms: string;
  provinceState: string;
  buildingName: string;
  numberBedrooms: string;
  petsAllowed: boolean;
  propertyType: string;
  directionFacing: string;
  listingTitleEn: string;
  listingTitleTh: string;
  listingTitleEnGenStandard: string;
  listingTitleThGenStandard: string;
  metaDescription: string;
  browserTitle: string;
  descriptionEn: string;
  descriptionTh: string;
  streetNumber: string;
  streetName: string;
  subdistrictArea: string;
  postcode: string;
  qualityScore: number;
  minLeasePeriod: string;
  gpsLat: number;
  gpsLong: number;
  cdnImages: ListingCdnImage[];
  updated_at: string;
  closestTransportKm: number;
  closestTransport: string;
  closestBts: string;
  closestMrt: string;
  closestArl: string;
  furnishing: FunishedType;
  communalCoveredCarPark: boolean;
  communalFreeParking: boolean;
  communalOpenCarPark: boolean;
  communalStreetParking: boolean;
  status: string;
  disabled: boolean;
  buildingId?: {
    id: number;
    building_id: number;
    features: {
      [name: string]: any;
    };
    name_en: string;
    name_th: string;
    building_type: BuildingType;
  };
  neighborhood_ps_en?: string;
  subdistrict_ps_en?: string;
  district_ps_en?: string;
  province_ps_en?: string;
  neighborhood_ps_th?: string;
  subdistrict_ps_th?: string;
  district_ps_th?: string;
  province_ps_th?: string;
  salePrice?: number;
  tenure?: string;
}
